Code-Scan-Profile auflisten
curl --request GET \
--url https://api.devin.ai/v3/organizations/{org_id}/code-scans/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/code-scans/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/organizations/{org_id}/code-scans/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": 123,
"description": "<string>",
"mode": "discover",
"name": "<string>",
"org_id": "<string>",
"profile_id": "<string>",
"scan_type": "security",
"visibility": "org"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Code-Scans (Organisation)
Code-Scan-Profile auflisten (Devin API)
Die für eine Organisation verfügbaren Devin-Code-Scan-Profile auflisten, einschließlich organisationsinterner und kontoweit freigegebener Discover- und Ingestionsprofile
GET
/
v3
/
organizations
/
{org_id}
/
code-scans
/
profiles
Code-Scan-Profile auflisten
Berechtigungen
ViewCodeScans auf Organisationsebene.
Verhalten
org_id ist bei freigegebenen Profilen null). Jede Zusammenfassung enthält den mode des Profils (discover oder ingest) und den scan_type, die bestimmen, ob das Profil an Code-Scan starten oder Ingestion-Scan starten übergeben werden kann.
Die Ergebnisse werden mithilfe eines nicht interpretierbaren Cursors (after / first) paginiert. Verwenden Sie Code-Scan-Profil abrufen, um die vollständige Anleitung eines Profils abzurufen. Das Enterprise-Äquivalent ist Code-Scan-Profile auflisten (Enterprise).Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
Beispiel:
"org-abc123def456"
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite oder None, wenn dies die letzte Seite ist.
Gibt an, ob nach dieser Seite weitere Einträge verfügbar sind.
Optionale Gesamtanzahl (kann aus Performance-Gründen weggelassen werden).

